%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pkgname uuid

Name:           python-%{pkgname}
Version:        1.30
Release:        3%{?dist}
Summary:        Python interface to RFC 4122 compliant UUID objects
Group:          Development/Languages
License:        Python
URL:            http://zesty.ca/python/
Source0:        http://pypi.python.org/packages/source/u/uuid/%{pkgname}-%{version}.tar.gz
Source1:        http://zesty.ca/python/%{pkgname}.README.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel >= 2.3
BuildRequires:  python-devel < 2.5
BuildArch:      noarch

%description
This module provides immutable UUID objects (class UUID) and the functions
uuid1(), uuid3(), uuid4(), uuid5() for generating version 1, 3, 4, and 5
UUIDs as specified in RFC 4122.

This should be the same module included with Python 2.5 and later.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__mkdir} -p %{buildroot}/%{_docdir}/%{name}-%{version}
%{__cp} -p %{SOURCE1} %{buildroot}/%{_docdir}/%{name}-%{version}/README.txt

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}
%{python_sitelib}/*

%changelog
* Wed Feb 07 2009 Ray Van Dolson <rayvd@fedoraproject.org> - 1.30-3
- Removed explicit python requires

* Wed Jan 21 2009 Ray Van Dolson <rayvd@fedoraproject.org> - 1.30-2
- Changed to noarch

* Wed Dec 03 2008 Ray Van Dolson <rayvd@fedoraproject.org> - 1.30-1
- Initial package
